import { Type } from '@sinclair/typebox';
import { validatedFetch } from './validatedFetch.js';
export const cancelFOTAJob = ({ apiKey, endpoint, }, fetchImplementation) => async (jobId) => {
    const maybeSuccess = await validatedFetch({
        endpoint,
        apiKey,
    }, fetchImplementation)({
        resource: `fota-jobs/${jobId}/cancel`,
        method: 'PUT',
    }, Type.Any());
    if ('error' in maybeSuccess)
        return maybeSuccess;
    return { success: true };
};
